Package org.apache.storm.generated

# Class Nimbus.debug_result

java.lang.Object
org.apache.storm.generated.Nimbus.debug_result

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Nimbus.debug_result>`, `org.apache.storm.thrift.TBase<Nimbus.debug_result,Nimbus.debug_result._Fields>`, `org.apache.storm.thrift.TSerializable`

Enclosing class:
  Nimbus

public static class Nimbus.debug_result extends Object implements org.apache.storm.thrift.TBase<Nimbus.debug_result,Nimbus.debug_result._Fields>, Serializable, Cloneable, Comparable<Nimbus.debug_result>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Nimbus.debug_result._Fields`
  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<Nimbus.debug_result._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>`
  `metaDataMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `debug_result()`
  `debug_result(Nimbus.debug_result other)`
  Performs a deep copy on other.
  `debug_result(NotAliveException e, AuthorizationException aze)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `int`
  `compareTo(Nimbus.debug_result other)`
  `Nimbus.debug_result`
  `deepCopy()`
  `boolean`
  `equals(Object that)`
  `boolean`
  `equals(Nimbus.debug_result that)`
  `Nimbus.debug_result._Fields`
  `fieldForId(int fieldId)`
  `AuthorizationException`
  `get_aze()`
  `NotAliveException`
  `get_e()`
  `Object`
  `getFieldValue(Nimbus.debug_result._Fields field)`
  `int`
  `hashCode()`
  `boolean`
  `is_set_aze()`
  Returns true if field aze is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_e()`
  Returns true if field e is set (has been assigned a value) and false otherwise
  `boolean`
  `isSet(Nimbus.debug_result._Fields field)`
  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
  `void`
  `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
  `void`
  `set_aze(AuthorizationException aze)`
  `void`
  `set_aze_isSet(boolean value)`
  `void`
  `set_e(NotAliveException e)`
  `void`
  `set_e_isSet(boolean value)`
  `void`
  `setFieldValue(Nimbus.debug_result._Fields field, Object value)`
  `String`
  `toString()`
  `void`
  `unset_aze()`
  `void`
  `unset_e()`
  `void`
  `validate()`
  `void`
  `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### metaDataMap

    public static final Map<Nimbus.debug_result._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

- ## Constructor Details

  - ### debug_result

    public debug_result()

  - ### debug_result

    public debug_result(NotAliveException e, AuthorizationException aze)

  - ### debug_result

    public debug_result(Nimbus.debug_result other)
    Performs a deep copy on other.

- ## Method Details

  - ### deepCopy

    public Nimbus.debug_result deepCopy()
    Specified by:
      `deepCopy` in interface `org.apache.storm.thrift.TBase<Nimbus.debug_result,Nimbus.debug_result._Fields>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `org.apache.storm.thrift.TBase<Nimbus.debug_result,Nimbus.debug_result._Fields>`

  - ### get_e

    public NotAliveException get_e()

  - ### set_e

    public void set_e(NotAliveException e)

  - ### unset_e

    public void unset_e()

  - ### is_set_e

    public boolean is_set_e()
    Returns true if field e is set (has been assigned a value) and false otherwise

  - ### set_e_isSet

    public void set_e_isSet(boolean value)

  - ### get_aze

    public AuthorizationException get_aze()

  - ### set_aze

    public void set_aze(AuthorizationException aze)

  - ### unset_aze

    public void unset_aze()

  - ### is_set_aze

    public boolean is_set_aze()
    Returns true if field aze is set (has been assigned a value) and false otherwise

  - ### set_aze_isSet

    public void set_aze_isSet(boolean value)

  - ### setFieldValue

    public void setFieldValue(Nimbus.debug_result._Fields field, Object value)
    Specified by:
      `setFieldValue` in interface `org.apache.storm.thrift.TBase<Nimbus.debug_result,Nimbus.debug_result._Fields>`

  - ### getFieldValue

    public Object getFieldValue(Nimbus.debug_result._Fields field)
    Specified by:
      `getFieldValue` in interface `org.apache.storm.thrift.TBase<Nimbus.debug_result,Nimbus.debug_result._Fields>`

  - ### isSet

    public boolean isSet(Nimbus.debug_result._Fields field)
    Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    Specified by:
      `isSet` in interface `org.apache.storm.thrift.TBase<Nimbus.debug_result,Nimbus.debug_result._Fields>`

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Object`

  - ### equals

    public boolean equals(Nimbus.debug_result that)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(Nimbus.debug_result other)
    Specified by:
      `compareTo` in interface `Comparable<Nimbus.debug_result>`

  - ### fieldForId

    public Nimbus.debug_result._Fields fieldForId(int fieldId)
    Specified by:
      `fieldForId` in interface `org.apache.storm.thrift.TBase<Nimbus.debug_result,Nimbus.debug_result._Fields>`

  - ### read

    public void read(org.apache.storm.thrift.protocol.TProtocol iprot) throws org.apache.storm.thrift.TException
    Specified by:
      `read` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### write

    public void write(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `write` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### validate

    public void validate() throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`